> ## Documentation Index
> Fetch the complete documentation index at: https://docs.capy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Captain digest



## OpenAPI

````yaml /openapi.json get /api/v1/captains/{captainId}/digest
openapi: 3.1.0
info:
  title: Capy API
  version: 1.0.0
  description: Programmatic access to Capy's agent platform.
servers:
  - url: https://api.capy.ai
security:
  - bearerAuth: []
tags:
  - name: automations
  - name: projects
  - name: threads
  - name: captains
  - name: folders
  - name: tasks
  - name: messages
  - name: streams
  - name: reviews
  - name: reviewRules
  - name: reviewFilters
  - name: usage
  - name: users
paths:
  /api/v1/captains/{captainId}/digest:
    get:
      tags:
        - captains
      summary: Get Captain digest
      operationId: captains.digest
      parameters:
        - name: captainId
          in: path
          schema:
            type: string
          required: true
      responses:
        '200':
          description: CaptainDigest
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CaptainDigestEncoded'
        '401':
          description: capy/Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/capy_UnauthorizedEncoded'
        '403':
          description: capy/Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/capy_ForbiddenEncoded'
        '404':
          description: capy/ThreadNotFound
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/capy_ThreadNotFoundEncoded'
        '429':
          description: capy/RateLimited
          headers:
            retry-after:
              schema:
                type: integer
              required: true
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/capy_RateLimitedEncoded'
      security:
        - bearerAuth: []
components:
  schemas:
    CaptainDigestEncoded:
      type: object
      properties:
        path:
          anyOf:
            - type: string
              enum:
                - DIGEST.md
                - ONGOING.md
                - NOTES.md
            - type: 'null'
          description: >-
            The file the digest was read from: `DIGEST.md`, else `ONGOING.md`,
            else the Captain's `NOTES.md`. Null before the Captain has written
            any of them.
        markdown:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            The file's text. Null when there is no file, or when the file is
            binary or larger than 64 KiB.
        updatedAt:
          anyOf:
            - type: string
            - type: 'null'
          description: When the Captain's drive last changed.
      required:
        - path
        - markdown
        - updatedAt
      additionalProperties: false
    capy_UnauthorizedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - capy/Unauthorized
      required:
        - _tag
      additionalProperties: false
    capy_ForbiddenEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - capy/Forbidden
      required:
        - _tag
      additionalProperties: false
    capy_ThreadNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - capy/ThreadNotFound
        threadId:
          type: string
      required:
        - _tag
        - threadId
      additionalProperties: false
    capy_RateLimitedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - capy/RateLimited
        retryAfterSeconds:
          type: integer
      required:
        - _tag
        - retryAfterSeconds
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Capy API key
      description: An API key created in Capy under Settings → API.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.